# Uses of Interface
org.opensaml.soap.soap11.Header

Packages that use Header
Package
Description
org.opensaml.soap.soap11
XMLObject interfaces for SOAP 1.1 elements.
org.opensaml.soap.soap11.impl
Provided implementations of the SOAP 1.1 XMLObject interfaces.

## Uses of Header in org.opensaml.soap.soap11

Methods in org.opensaml.soap.soap11 that return Header
Modifier and Type
Method
Description
`Header`
Envelope.`getHeader()`
Gets the header of this envelope.
Methods in org.opensaml.soap.soap11 with parameters of type Header
Modifier and Type
Method
Description
`void`
Envelope.`setHeader(Header newHeader)`
Sets the header of this envelope.

## Uses of Header in org.opensaml.soap.soap11.impl

Classes in org.opensaml.soap.soap11.impl that implement Header
Modifier and Type
Class
Description
`class`
`HeaderImpl`
Concrete implementation of `Header`.
Fields in org.opensaml.soap.soap11.impl declared as Header
Modifier and Type
Field
Description
`private Header`
EnvelopeImpl.`header`
SOAP header.
Methods in org.opensaml.soap.soap11.impl that return Header
Modifier and Type
Method
Description
`Header`
HeaderBuilder.`buildObject()`
Creates an envelope object with the default SOAP 1.1 namespace, prefix and "Header" as the element local name.
`Header`
HeaderBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Header`
EnvelopeImpl.`getHeader()`
Gets the header of this envelope.
Methods in org.opensaml.soap.soap11.impl with parameters of type Header
Modifier and Type
Method
Description
`void`
EnvelopeImpl.`setHeader(Header newHeader)`
Sets the header of this envelope.